#include "testApp.h"


//--------------------------------------------------------------
void testApp::setup(){	


	//currently export from quicktime as avi works well
	//also export as quicktime mov with mjpeg A 
	VP.loadMovie("fingers.avi");
	VP.play();
}

//--------------------------------------------------------------
void testApp::update(){
	ofBackground(120,120,120);

	VP.update();
	printf("fps: %f \n", ofGetFrameRate() );
}



//--------------------------------------------------------------
void testApp::draw(){
	ofSetColor(255, 255, 255);
	VP.draw(10, 10);
	
	ofSetCircleResolution(8);
    ofSetColor(0x000000);
    unsigned char * pixels = VP.getPixels();
    // let's move through the "RGB" char array
    // using the red pixel to control the size of a circle.
    for (int i = 4; i < 320; i+=8){
        for (int j = 4; j < 240; j+=8){
            unsigned char r = pixels[(j * 320 + i)*3];
            float val = 1 - ((float)r / 255.0f);
            ofCircle(10 + i,250+j,10*val);
        }
    }
	
}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){
	// this will never get called 
}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){
}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){
	VP.setPaused(true);
}

//--------------------------------------------------------------
void testApp::mouseReleased(){
	VP.setPaused(false);
}

//--------------------------------------------------------------
void testApp::mouseReleased(int x, int y, int button){
	
}
